Bug 190144 - Review Request: hevea - LaTeX to HTML translator
Review Request: hevea - LaTeX to HTML translator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael A. Peters
Fedora Package Reviews List
: Reopened
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-27 20:50 EDT by Andreas Thienemann
Modified: 2012-11-16 11:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-20 12:23:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2006-04-27 20:50:36 EDT
Spec URL: http://home.bawue.de/~ixs/hevea/hevea.spec
SRPM URL: http://home.bawue.de/~ixs/hevea/hevea-1.08-2.src.rpm
Description:
HEVEA is a quite complete and fast LATEX to HTML translator.
Comment 1 Andreas Thienemann 2006-04-27 20:52:41 EDT
The rpmlint message about there not being any executables in /usr/lib should be
ignorable, as no .so files are packaged.
Comment 2 Michael A. Peters 2006-04-28 06:28:56 EDT
NOT a formal review.
Just some notes

The stuff it puts in /usr/lib might be better to put in /usr/share since it
looks to be arch independent.

maybe in /usr/share/hevea

-=-
It probably should require tetex-latex since it puts files in texmf/tex/latex/

LATEXLIBDIR=%{_datadir}/texmf/tex/latex/hevea

should be done differently.

define a macro as follows:

%{!?_texmf: %define _texmf %(eval "echo `kpsewhich -expand-var '$TEXMFMAIN'`")}

Then use

LATEXLIBDIR=%{_texmf}/tex/latex/hevea

That allows people using a custom texmf to rebuild the src.rpm defining where
the texmf is that they want it to use.

-=-

I'm willing to review formally next week if someone else does not decide to.
Comment 3 Andreas Thienemann 2006-04-28 07:33:23 EDT
New spec&srpm at http://home.bawue.net/~ixs/hevea
Comment 4 Michael A. Peters 2006-04-28 08:18:05 EDT
I should have mentioned this - but you also need to
BuildRequires /usr/bin/kpsewhich

to use the _texmf macro - or else mock will fail.
Also - since the package installs a file into the texmf tree, you should have

%post
texhash >/dev/null 2>&1 || :

%postun
texhash >/dev/null 2>&1 || :

so that ls-R database gets updated.
Comment 5 Patrice Dumas 2006-04-28 18:33:20 EDT
* There are other requirements listed here

http://hevea.inria.fr/doc/manual038.html#requirements

After reading imagen, I propose

Requires: netpbm-progs ghostscript tetex-dvips

* You need the texhash run, which could be run using

%post -p /usr/bin/texhash

%postun -p /usr/bin/texhash

Or as said in comment #4

* I don't think 
Group:          Development/Languages
is appropriate. I believe
Group:    Applications/Publishing
is better.

* one %{_datadir}/texmf/ is still there, to be replaced by %{_texmf}

* Not a blocker but I think it would be nice to have the documentation
http://hevea.inria.fr/distri/hevea-1.08-manual.tar.gz
included (maybe in a -doc subpackage if you prefer).

* Also not a blocker but a personal preference, I like to have trailing /
in %files for directories, such that it is visible that these are 
directories. In that case this leads to:

%{_datadir}/hevea/
%{_texmf}/tex/latex/hevea/
Comment 6 Patrice Dumas 2006-04-28 18:50:07 EDT
> * Not a blocker but I think it would be nice to have the documentation
> http://hevea.inria.fr/distri/hevea-1.08-manual.tar.gz
> included (maybe in a -doc subpackage if you prefer).

After reading the licence of the doc it doesn't seems so clear. This
licence doesn't seem to allow modification of the documentation, so
it is not free documentation. It is not very clear in the fedora extras
wiki. Documentation could be considered as non-executable content, but
to be acceptable "The files must be necessary for the functionality of 
open source code being included in Fedora.", it is not very clear for
documentation. In my opinion it goes against fedora extras goal, but if
you really want to include documentation, I believe the best would be
to ask on fedora list.
Comment 7 Jason Tibbitts 2006-04-30 01:14:04 EDT
Blocking FE-Legal for the license issue.  To be explicit, the documentation for
this package is under something called the "Free Document Dissemination License
V1" http://pauillac.inria.fr/~lang/licence/v1/fddl.html which allows only
limited types of modification.

Note that any issue relating to the manual is not a blocker for this package,
since the subission does not include it.  It would still be useful to have a
ruling on the license so that the manual could be included later if possible.
Comment 8 Andreas Thienemann 2006-04-30 07:56:36 EDT
Updated .spec incorporating these changes at
http://home.bawue.de/~ixs/hevea/hevea.spec
Comment 9 Michael A. Peters 2006-04-30 09:41:05 EDT
Blocker:
[mpeters@atlantis SPECS]$ md5sum hevea-1.08.tar.gz 
073c92c9408a9679a397ce65a076c796  hevea-1.08.tar.gz
[mpeters@atlantis SPECS]$ md5sum ../SOURCES/hevea-1.08.tar.gz 
1a93c1924b817e54531abf74f0b34d4b  ../SOURCES/hevea-1.08.tar.gz

It seems that the md5sum from the src.rpm does not match upstream md5sum.
073c92c9408a9679a397ce65a076c796

is the upstream.

I unpackaged both and did a diff:
--
diff -ur hevea-1.08-upstream/latexscan.mll hevea-1.08/latexscan.mll
--- hevea-1.08-upstream/latexscan.mll   2005-11-22 04:27:56.000000000 -0800
+++ hevea-1.08/latexscan.mll    2005-03-08 07:15:03.000000000 -0800
@@ -3253,7 +3253,7 @@
 
 
 
-let just_put c lb = Dest.put_char c
+let just_put c lb = Dest.put_char '-'
 ;;
 
 def_code "\\@hevea@amper" do_amper ;
--
The current upstream should be used.


Suggest:
In %install -

mkdir -p %{buildroot}%{_libdir}/hevea
mkdir -p %{buildroot}%{_bindir}

are not needed. make install will create the necessary directories.

Good:
* rpmlint clean
* proper naming
* spec file name matches %{name}
* package meets packaging guidelines
* License is QPL, License matches packaged LICENSE file.
* Spec file written in American English
* Spec file is understandable
* Package succesfully builds in mock on FC5 x86
* No locales/shared libraries to worry about
* No static/libtool files
* Package not relocatable
* Package owns all directories it creates
* No duplicate files
* No duplicate files
* Proper file permissions, proper %defattr(...) in spec file
* Package contains code
* No need for separate doc package
* %doc files not needed for runtime
* No header/other devel package files to worry about
* No gui package needing a desktop file

-=-
Please redownload the upstream source, verify that the md5sum is
073c92c9408a9679a397ce65a076c796
and create a new src.rpm

Other than that - unless Jason Tibbitts has objections, I would be willing to
approve.
The documentation licensing is an interesting point, but since it isn't
packaged, it is not a blocker.
Comment 10 Michael A. Peters 2006-04-30 09:44:38 EDT
(In reply to comment #9)

> 
> Other than that - unless Jason Tibbitts has objections, I would be willing to
> approve.

um, typo - should read

unless Jason Tibbitts or Patrice Dumas (or other reviewers) have objections, I
would be willing to approve.
Comment 11 Andreas Thienemann 2006-04-30 10:37:15 EDT
Strange.
This looks like upstream did a silent fix without upping the release number.

Anyway, new srpm with 073c92c9408a9679a397ce65a076c796  hevea-1.08.tar.gz is
uploaded to http://home.bawue.net/~ixs/hevea/hevea-1.08-4.src.rpm
Spec, which is unchanged, is at http://home.bawue.net/~ixs/hevea/hevea.spec

Comment 12 Michael A. Peters 2006-04-30 11:14:35 EDT
(In reply to comment #11)
> Strange.
> This looks like upstream did a silent fix without upping the release number.

That's what I figured probably happened.


[mpeters@atlantis ~]$ md5sum hevea-upstream-1.08.tar.gz 
073c92c9408a9679a397ce65a076c796  hevea-upstream-1.08.tar.gz
[mpeters@atlantis ~]$ md5sum rpm/SOURCES/hevea-1.08.tar.gz 
073c92c9408a9679a397ce65a076c796  rpm/SOURCES/hevea-1.08.tar.gz

Approved
Comment 13 Jason Tibbitts 2006-04-30 11:50:31 EDT
No objections from me.
Comment 14 Patrice Dumas 2006-04-30 17:09:34 EDT
No objection, but there is a typo in 
%post -p /usr/bin/texhas
(missing h)

And another in the summary, I believe it should be:

HEVEA is a quite complete and fast LATEX to HTML translator.
HEVEA renders symbols by using the so-called HTML "entites", which 
modern browsers display correctly most of the time.

Comment 15 Michael A. Peters 2006-04-30 17:29:40 EDT
(In reply to comment #14)


Andreas - can you fix both of those before the import?
Comment 16 Michael A. Peters 2006-04-30 17:31:00 EDT
(In reply to comment #15)
> (In reply to comment #14)
> 
> 
> Andreas - can you fix both of those before the import?

er, too late - can you fix them post import? ;)

Comment 17 Andreas Thienemann 2006-04-30 19:32:31 EDT
*bummer* Fixed post import, and enqueued again.
Closing, NEXTRELEASE

And thx for the review guys.
Comment 18 Andreas Thienemann 2006-05-04 14:27:43 EDT
Reopening as the package was approved but the (nonpackaged) doc issue is still
standing.

Assigning back to me for now.
Comment 19 Kevin Fenzi 2006-09-02 16:41:24 EDT
It might be more clear to submit a new bug for the documentation issue, perhaps 
new 'hevea-docs' package submission? Folks looking at this without reading 
might assume since the package was APPROVED that the question about the docs is 
moot. 
Comment 20 Tom "spot" Callaway 2006-10-14 16:55:05 EDT
Documentation license sent to FSF for feedback.
Comment 21 Tom "spot" Callaway 2006-10-16 15:19:02 EDT
FSF says the documentation license is non-free. "...the restrictions on
modification are too tight.  In short, it seems like you can't make significant
substantive changes to the text."

Feel free to close out this issue and not package the doc files.

Lifting FE-Legal.
Comment 22 Kevin Fenzi 2006-12-21 22:29:18 EST
ok, so this has been accepted, imported, branched and built. 
It should be closed NEXTRELEASE right? not NEW?

Can you do so if I am correct, or explain why not?
Comment 23 Benjamin Kreuter 2012-11-16 11:15:54 EST
Package Change Request
======================
Package Name: hevea
New Branches: el5 el6
Owners: ixs

This is needed to branch coq to EPEL.

Note You need to log in before you can comment on or make changes to this bug.